# emacs-mode: -*- python-*-

__version__ = '1.0'

from Globals import HTMLFile, MessageDialog
from ImageFile import ImageFile
from ZopeXmlPipe import ZopeXmlPipe,manage_addZopeXmlPipeform,manage_addZopeXmlPipe

misc_ = {'docicon': ImageFile('img/documenticon.gif', globals())}

def initialize(context):
    """Initialize the product."""
    try:
        context.registerClass(
		ZopeXmlPipe,
		constructors=(
			manage_addZopeXmlPipeform,
			manage_addZopeXmlPipe),
		)
        context.registerBaseClass(ZopeXmlPipe)
    except:
        import sys
        import traceback
        import string
        (type, val, tb,) = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type
        del val
        del tb



# local variables:
# tab-width: 4
